import java.util.ArrayList;
public class JugadorRobotV1 extends Jugador {
    private static int NSerie = 0;
    boolean debugMode;
    public JugadorRobotV1(Mesa mesa, boolean debugMode) {
        super(Jugador.ROBOT, "T-800 N" + ++NSerie, mesa);
        this.debugMode = debugMode; // omniconsciencia en Partida
    }
    @Override
    public Tirada preguntarTiradaAJugador(ArrayList<Tirada> tiradas) {
        Duerme.duermeUnRatito();
        Tirada tiradaARealizar = tiradas.get(Azar.numeroAlAzar(tiradas.size()));
        if (debugMode) {
            System.out.println("Tiro al azar. Me programaron asi. :-/");
        }
        return tiradaARealizar;
    }
/*
    public int cuantasFichasConNum(int n) {
        int cuantas = 0;
        for (Ficha f : fichas) {
            if ((f.getA() == n) || (f.getB() == n)) {
                cuantas++;
            }
        }
        return cuantas;
    }
    public int cuantasFichasVeoConNum(int n) {
        return (cuantasFichasConNum(n) + mesa.cuantasFichasConNum(n));
    }
    public int cuantasFichasVeoConNumDeExtremo() {
        return (cuantasFichasVeoConNum(mesa.getExtremoIzquierdo())
                + cuantasFichasVeoConNum(mesa.getExtremoDerecho()));
    }
*/
}
